<template>
  <div>
      <!-- librería para SEO-->
    <vue-headful
            title="Top Artist · Hack a Music"
            description="Web de referencia sobre música"
        />
      <h1>TOP ARTIST</h1>
      <!--  :componente="vista"-->
      <topartistscustom :topartists="artistdata"/>
  </div>
</template>

<script>
import  api from '@/api/index.js'
// importar componente
import topartistscustom from '@/components/TopArtistsCustom.vue'

export default {
    name: 'TopArtist',
    components:{
        topartistscustom
    },
    // declarar el array artistdata
    data(){
        return{
            artistdata:[]
        }
    },
    // función que trae los datos
    created(){
         api.getArtists().then(response => (this.artistdata = response.data.topartists.artist))
    }
}
</script>

<style >

</style>